package com.srs.teacher.service.impl;

import java.util.List;

import com.srs.teacher.domain.SysPerformanceActive;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysPerformanceRwMapper;
import com.srs.teacher.domain.SysPerformanceRw;
import com.srs.teacher.service.ISysPerformanceRwService;

/**
 * 综合素质-承担任务Service业务层处理
 *
 * @author srs
 * @date 2024-06-17
 */
@Service
public class SysPerformanceRwServiceImpl extends ServiceImpl<SysPerformanceRwMapper,SysPerformanceRw> implements ISysPerformanceRwService {
    @Autowired
    private SysPerformanceRwMapper sysPerformanceRwMapper;

    /**
     * 查询综合素质-承担任务
     *
     * @param id 综合素质-承担任务主键
     * @return 综合素质-承担任务
     */
    @Override
    public SysPerformanceRw selectSysPerformanceRwById(Long id) {
        return sysPerformanceRwMapper.selectSysPerformanceRwById(id);
    }

    @Override
    public SysPerformanceRw selectSysPerformanceRwByFdyName(String fdName, String years) {
        return sysPerformanceRwMapper.selectSysPerformanceRwByFdyName(fdName, years);
    }

    /**
     * 查询综合素质-承担任务列表
     *
     * @param sysPerformanceRw 综合素质-承担任务
     * @return 综合素质-承担任务
     */
    @Override
    public List<SysPerformanceRw> selectSysPerformanceRwList(SysPerformanceRw sysPerformanceRw) {
        return sysPerformanceRwMapper.selectSysPerformanceRwList(sysPerformanceRw);
    }

    /**
     * 新增综合素质-承担任务
     *
     * @param sysPerformanceRw 综合素质-承担任务
     * @return 结果
     */
    @Override
    public int insertSysPerformanceRw(SysPerformanceRw sysPerformanceRw) {
            return sysPerformanceRwMapper.insertSysPerformanceRw(sysPerformanceRw);
    }

    /**
     * 修改综合素质-承担任务
     *
     * @param sysPerformanceRw 综合素质-承担任务
     * @return 结果
     */
    @Override
    public int updateSysPerformanceRw(SysPerformanceRw sysPerformanceRw) {
        return sysPerformanceRwMapper.updateSysPerformanceRw(sysPerformanceRw);
    }

    /**
     * 批量删除综合素质-承担任务
     *
     * @param ids 需要删除的综合素质-承担任务主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceRwByIds(Long[] ids) {
        return sysPerformanceRwMapper.deleteSysPerformanceRwByIds(ids);
    }

    /**
     * 删除综合素质-承担任务信息
     *
     * @param id 综合素质-承担任务主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformanceRwById(Long id) {
        return sysPerformanceRwMapper.deleteSysPerformanceRwById(id);
    }
}
